scrub-obsolete Package - ksyntax-highlighting

Ready changes

Merge these changes:

Diff

diff --git a/debian/changelog b/debian/changelog
index f51be37..3a8161e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ ksyntax-highlighting (5.74.0-3) UNRELEASED; urgency=medium
 
   * Apply multi-arch hints.
     + libkf5syntaxhighlighting-dev: Add Multi-Arch: same.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools.
 
  -- Debian Janitor <janitor@jelmer.uk>  Thu, 22 Oct 2020 04:50:09 -0000
 
diff --git a/debian/control b/debian/control
index 6b517dc..9a8c210 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
                extra-cmake-modules (>= 5.74.0~),
@@ -11,7 +11,7 @@ Build-Depends: cmake (>= 3.5~),
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.12.0~),
                perl,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkg-kde-tools,
                qtbase5-dev (>= 5.12.0~),
                qtbase5-dev:native,
                qttools5-dev (>= 5.4),

Run locally

Try this locally (using the lintian-brush package):

debcheckout ksyntax-highlighting
cd ksyntax-highlighting
deb-scrub-obsolete

More details

Full run details